[blfs-support] VTE + Python

Armin K. krejzi at email.com
Thu Mar 21 15:59:08 PDT 2013


Dana 21.3.2013 23:46, Nicholas McCurdy je napisao:
> I am attempting to satisfy a build dependency for python-vte.
>
> VTE and and Python 2.7 are installed as per instructions in BLFS (Python
> was installed prior to VTE); from my googling, the VTE package *used to*
> install Python Bindings...
>
> I have checked my environment following the VTE build/install and while
> pkg-config recognizes the installed libraries, there's definitely no
> connection to Python being established.
>
> I guess my question is this: Is there a ./configure switch that I'm
> missing in the --help documentation that would enable the build of
> python-vte bindings?  And if not, does someone here know of a previous
> (hopefully not too old) version of VTE that would create them?
>
> Googling revealed a discussion thread from 2004 or '05 that showed this
> resolved by a rebuild of the VTE package...  not sure I want to roll
> that far back!
>
> Any ideas would be helpful.
>
> As a side note: the same set of build dependencies also requires
> python-wnck bindings which the current gnome-python-desktop SHOULD have
> built; however, the version of WNCK in BLFS built libwnck-3.0 and
> current gnome-python-desktop is only looking for libwnck-1.0...  That
> one was an easy fix, and I guess I'm crossing fingers for a similarly
> simple solution.
>
>
> Nicholas McCurdy
> mindwarpstudios at aim.com
>
>

Install VTE 0.28.2 from the Xfce section. You must have pygtk installed 
to build the Python bindings.



More information about the blfs-support mailing list